/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.item.selector.url.web.internal.display.context;

import com.liferay.item.selector.url.web.internal.ItemSelectorURLView;

import java.util.Locale;

/**
 * @author Roberto Díaz
 */
public class ItemSelectorURLViewDisplayContext {

	public ItemSelectorURLViewDisplayContext(
		ItemSelectorURLView itemSelectorURLView, String itemSelectedEventName) {

		_itemSelectorURLView = itemSelectorURLView;
		_itemSelectedEventName = itemSelectedEventName;
	}

	public String getItemSelectedEventName() {
		return _itemSelectedEventName;
	}

	public String getTitle(Locale locale) {
		return _itemSelectorURLView.getTitle(locale);
	}

	private final String _itemSelectedEventName;
	private final ItemSelectorURLView _itemSelectorURLView;

}